/*
 * AssociationsBuilder.java
 *
 * Created on 28 September 2002
 */

package lifecycle;

import uk.ac.ukc.cs.kmf.studio.vsml.AS.AssociationEnd;
import uk.ac.ukc.cs.kmf.studio.vsml.AS.AssociationEndFactory$Class;
import uk.ac.ukc.cs.kmf.studio.vsml.repository.VsmlRepository;

/**
 *
 * @author  sjhk
 */
public class AssociationEndLifecycle extends AssociationEndFactory$Class {
    
    /** Creates a new instance of AssociationEndLifecycle */
    protected AssociationEndLifecycle() {
        super();
    }

    public AssociationEndLifecycle(VsmlRepository rep) {
        this.repository=rep;
    }
   
    public AssociationEnd build(
        uk.ac.ukc.cs.kmf.studio.vsml.AS.Class_ source, uk.ac.ukc.cs.kmf.studio.vsml.AS.Class_ target,
        String name, Integer lowerBound, Integer upperBound){
        AssociationEnd end = (AssociationEnd)build();
        end.setLower(lowerBound);
        end.setUpper(upperBound);
        end.setName(name);
        end.setSource(source);
        end.setTarget(target);
        if (source != null) source.getSourceOf().add(end);
        if (target != null) target.getTargetOf().add(end);
        return end;
    }
    
}
